Home | Modules | Class Hierarchy | Alphabetical List | Compound List | Related Pages

# Exception Class Reference
[Common interfaces]

Inheritance diagram for Exception:

## Detailed Description

Exception class.

Defines throwable exception.

## Public Member Functions
| Exception ()
| Default constructor Creates exception with empty message.
| Exception (const String &msg)
| Creates exception with string message.
| Exception (const Exception &e)
| Creates exception with included exception information.
virtual | ~Exception ()
| Default destructor.
virtual const String * | getMessage () const
| Returns exception message.
## Protected Attributes
StringBuffer * | message
| Internal message container.

Colorer-take5 Library. Copyright © 1999-2006 Igor Russkih.
Generated at Fri Nov 24 17:13:12 2006 by doxygen 1.4.6.